7
3 4
T(ab,c)T(a,c)T(,c)T(b,a)
3 2
T(ab,c)T(,b)
4 4
T(d,c)F(ab,cd)F(,ac)T(,a)
10 20
T(fab,a)F(abeij,cd)T(j,f)F(,ab)T(ef,j)F(abcdefgh,ij)T(abe,h)F(ij,ef)T(,a)F(jab,ba)T(afe,c)F(jac,de)T(,f)F(ac,df)T(b,a)F(bcde,aj)T(ij,e)F(aed,fb)T(cab,j)F(badf,ej)
1 1
T(,a)
4 0
2 2
F(,ab)F(,ba)
